Loading...
Searching...
No Matches
AV3DReferenceDisplaysInfo Struct Reference
libavutil » Video related » 3D Reference Displays Information

This structure describes information about the reference display width(s) and reference viewing distance(s) as well as information about the corresponding reference stereo pair(s). More...

`#include <libavutil/tdrdi.h>`

## Data Fields

uint8_t | prec_ref_display_width
| The exponent of the maximum allowable truncation error for {exponent,mantissa}_ref_display_width as given by 2(-prec_ref_display_width).
uint8_t | ref_viewing_distance_flag
| A flag to indicate the presence of reference viewing distance.
uint8_t | prec_ref_viewing_dist
| The exponent of the maximum allowable truncation error for {exponent,mantissa}_ref_viewing_distance as given by 2^(-prec_ref_viewing_dist).
uint8_t | num_ref_displays
| The number of reference displays that are signalled in this struct.
size_t | entries_offset
| Offset in bytes from the beginning of this structure at which the array of reference displays starts.
size_t | entry_size
| Size of each entry in bytes.

## Detailed Description

This structure describes information about the reference display width(s) and reference viewing distance(s) as well as information about the corresponding reference stereo pair(s).

See section G.14.3.2.3 of ITU-T H.265 for more information.

Note
  The struct must be allocated with av_tdrdi_alloc() and its size is not a part of the public ABI.

Definition at line 53 of file tdrdi.h.

## Field Documentation

## prec_ref_display_width

uint8_t AV3DReferenceDisplaysInfo::prec_ref_display_width

The exponent of the maximum allowable truncation error for {exponent,mantissa}_ref_display_width as given by 2(-prec_ref_display_width).

Definition at line 58 of file tdrdi.h.

## ref_viewing_distance_flag

uint8_t AV3DReferenceDisplaysInfo::ref_viewing_distance_flag

A flag to indicate the presence of reference viewing distance.

If false, the values of prec_ref_viewing_dist, exponent_ref_viewing_distance, and mantissa_ref_viewing_distance are undefined.

Definition at line 65 of file tdrdi.h.

## prec_ref_viewing_dist

uint8_t AV3DReferenceDisplaysInfo::prec_ref_viewing_dist

The exponent of the maximum allowable truncation error for {exponent,mantissa}_ref_viewing_distance as given by 2^(-prec_ref_viewing_dist).

The value of prec_ref_viewing_dist shall be in the range of 0 to 31, inclusive.

Definition at line 72 of file tdrdi.h.

## num_ref_displays

uint8_t AV3DReferenceDisplaysInfo::num_ref_displays

The number of reference displays that are signalled in this struct.

Allowed range is 1 to 32, inclusive.

Definition at line 78 of file tdrdi.h.

## entries_offset

size_t AV3DReferenceDisplaysInfo::entries_offset

Offset in bytes from the beginning of this structure at which the array of reference displays starts.

Definition at line 84 of file tdrdi.h.

Referenced by av_tdrdi_get_display().

## entry_size

size_t AV3DReferenceDisplaysInfo::entry_size

Size of each entry in bytes.

May not match sizeof(AV3DReferenceDisplay).

Definition at line 89 of file tdrdi.h.

Referenced by av_tdrdi_get_display().

The documentation for this struct was generated from the following file:

- libavutil/tdrdi.h